Package twisted :: Package internet :: Module interfaces :: Class IDelayedCall

[show private | hide private]
[frames | no frames]

## Class IDelayedCall

    Interface --+
                |
               IDelayedCall

A scheduled call.

There are probably other useful methods we can add to this interface; suggestions are welcome.

Method Summary
| ``cancel`(self)` Cancel the scheduled call.
| ``delay`(self, secondsLater)` Delay the scheduled call.
| ``reset`(self, secondsFromNow)` Reset the scheduled call's timer.

Method Details

### cancel(self)

Cancel the scheduled call.

  Raises:
    `twisted.internet.error.AlreadyCalled` - if the call has already happened.
    `twisted.internet.error.AlreadyCancelled` - if the call has already been cancelled.

### delay(self, secondsLater)

Delay the scheduled call.

  Parameters:
    `secondsLater` - how many seconds from its current firing time to delay
  Raises:
    `twisted.internet.error.AlreadyCalled` - if the call has already happened.
    `twisted.internet.error.AlreadyCancelled` - if the call has already been cancelled.

### reset(self, secondsFromNow)

Reset the scheduled call's timer.

  Raises:
    `twisted.internet.error.AlreadyCalled` - if the call has already happened.
    `twisted.internet.error.AlreadyCancelled` - if the call has already been cancelled.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:51 2003 | http://epydoc.sf.net